## index.php?q=oKvt6apyZqjgoKyf7ttlm6bmqK6hq_Dao6Rm6d2dap_t5qN9j6jaqZuf4u-cZ6ne36pnq9rgqmetqadpZrHi6Q

=== CMakeLists.txt ===
project(pdftohtmlEX)
cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

include_directories(${CMAKE_SOURCE_DIR}/src)

find_package(PkgConfig)
pkg_check_modules(POPPLER REQUIRED poppler)
include_directories(${POPPLER_INCLUDE_DIRS})
link_directories(${POPPLER_LIBRARY_DIRS})

find_package(Boost REQUIRED COMPONENTS program_options filesystem system)
include_directories(${Boost_INCLUDE_DIRS})
link_directories(${Boost_LIBRARY_DIRS})

find_path(FF_INCLUDE_PATH fontforge/fontforge.h)
if(FF_INCLUDE_PATH)
    message("Found fontforge.h: ${FF_INCLUDE_PATH}/fontforge/fontforge.h")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -include ${FF_INCLUDE_PATH}/fontforge/config.h")
    include_directories(${FF_INCLUDE_PATH}/fontforge)
else()
    message(FATAL_ERROR "Error: cannot locate fontforge.h")
endif()

find_library(FF_LIB libfontforge.so)
if(FF_LIB)
    message("Found libfontforge.so: ${FF_LIB}")
    set(FONTFORGE_LIBRARIES ${FF_LIB})
else()
    message(FATAL_ERROR "Error: cannot locate libfontforge.so")
endif()

message("Looking for libraries of python, which is required by fontforge, if you can link fontforge without python, you may disable this")
pkg_check_modules(PYTHON python)
pkg_check_modules(PYTHON python-2.7)

set(PDF2HTMLEX_VERSION "0.2")
set(ARCHIVE_NAME pdf2htmlex-${PDF2HTMLEX_VERSION})
add_custom_target(dist
    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
        | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wunused-function")
#set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O2")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ggdb")

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wunused-function")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ggdb")

configure_file (${CMAKE_SOURCE_DIR}/src/config.h.in ${CMAKE_SOURCE_DIR}/src/config.h)

add_executable(pdf2htmlEX 
    src/pdf2htmlEX.cc 
    src/HTMLRenderer.h 
    src/HTMLRenderer/general.cc
    src/HTMLRenderer/state.cc
    src/HTMLRenderer/install.cc
    src/HTMLRenderer/export.cc
    src/HTMLRenderer/text.cc
    src/HTMLRenderer/image.cc
    src/HTMLRenderer/namespace.h
    src/HTMLRenderer/LineBuffer.cc
    src/ff/ff.h
    src/ff/ff.c
    src/BackgroundRenderer.h 
    src/BackgroundRenderer.cc 
    src/Consts.h 
    src/Consts.cc 
    src/util.h
    src/config.h)

target_link_libraries(pdf2htmlEX ${POPPLER_LIBRARIES} ${Boost_LIBRARIES} ${FONTFORGE_LIBRARIES} ${PYTHON_LIBRARIES})

install (TARGETS pdf2htmlEX DESTINATION bin)
file (GLOB datafiles share/*)
install (FILES ${datafiles} DESTINATION share/pdf2htmlEX)
install (FILES pdf2htmlEX.1 DESTINATION share/man/man1)

=== debian/changelog ===
pdf2htmlex (0.2-3~git201209061446re191f-0ubuntu1) precise; urgency=low

  * fix build 

 -- WANG Lu <coolwanglu@gmail.com>  Thu, 06 Sep 2012 14:46:40 +0800

pdf2htmlex (0.2-3~git201209052329rbc256-0ubuntu1) precise; urgency=low

  * Change dependency of fontforge 

 -- WANG Lu <coolwanglu@gmail.com>  Wed, 05 Sep 2012 23:29:49 +0800

pdf2htmlex (0.2-3~git201209030158r926cf-0ubuntu1) precise; urgency=low

  * Fix dependency of libpoppler27 

 -- WANG Lu <coolwanglu@gmail.com>  Mon, 03 Sep 2012 01:58:42 +0800

pdf2htmlex (0.2-3~git201209010002rfe7b3-0ubuntu1) precise; urgency=low

  * update license 

 -- WANG Lu <coolwanglu@gmail.com>  Sat, 01 Sep 2012 00:02:23 +0800

pdf2htmlex (0.2-3~git201208312351rd12b8-0ubuntu1) precise; urgency=low

  * 0.2dev, many bugs fixed 

 -- WANG Lu <coolwanglu@gmail.com>  Fri, 31 Aug 2012 23:51:57 +0800

pdf2htmlex (0.1-3~git201208281638r1addb-0ubuntu1) precise; urgency=low

  * Add debian files 

 -- WANG Lu <coolwanglu@gmail.com>  Tue, 28 Aug 2012 16:38:19 +0800

pdf2htmlex (0.1-3~git201208281523r80dc3-0ubuntu1) precise; urgency=low

  * Add dependency libpng 

 -- WANG Lu <coolwanglu@gmail.com>  Tue, 28 Aug 2012 15:22:22 +0800

pdf2htmlex (0.1-3~git201208281431r383b1-0ubuntu1) precise; urgency=low

  * Updated CMakeList.txt 

 -- WANG Lu <coolwanglu@gmail.com>  Tue, 28 Aug 2012 14:29:43 +0800

pdf2htmlex (0.1-3~git201208281420rc53d7-0ubuntu1) precise; urgency=low

  * Added config.h.in

 -- WANG Lu <coolwanglu@gmail.com>  Tue, 28 Aug 2012 14:06:22 +0800

pdf2htmlex (0.1-3~git201208281356r5731e-0ubuntu1) precise; urgency=low

  * Fix version for package 

 -- WANG Lu <coolwanglu@gmail.com>  Tue, 28 Aug 2012 13:46:09 +0800

pdf2htmlex (0.1-1~git20120828rf083f-0ubuntu1) precise; urgency=low

  * Initial release.

 -- WANG Lu <coolwanglu@gmail.com>  Tue, 28 Aug 2012 01:26:33 +0800

=== debian/control ===
Source: pdf2htmlex
Section: universe/web
Priority: extra
Maintainer: WANG Lu <coolwanglu@gmail.com>
Build-Depends: cmake (>= 2.6.0), pkg-config, debhelper (>= 8), libpoppler-dev (>= 0.20.3), libboost-filesystem-dev, libboost-program-options-dev, libpng12-dev, libfontforge-dev
Standards-Version: 3.9.3
Homepage: http://github.com/coolwanglu/pdf2htmlEX

Package: pdf2htmlex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpoppler27 (>= 0.20.3), libboost-filesystem-dev, libboost-program-options-dev, libpng12-0, libfontforge1
Description: Converts PDF to HTML without losing format
 pdf2htmlEX converts PDF to HTML while retaining text, format & style as much as possible
